from pydantic import BaseModel
from datetime import datetime
from typing import Optional
from app.models.stock_transaction import TransactionType
from app.schemas.item import Item


class StockTransactionBase(BaseModel):
    item_id: int
    transaction_type: TransactionType
    quantity: int
    unit_cost: Optional[float] = None
    reference_number: Optional[str] = None
    notes: Optional[str] = None


class StockTransactionCreate(StockTransactionBase):
    pass


class StockTransaction(StockTransactionBase):
    id: int
    created_at: datetime
    item: Optional[Item] = None

    class Config:
        from_attributes = True
